willhaben: Search
Search from willhaben as JSON. 1 credit per successful call.
GET /v1/willhaben/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
vertical | integer | Optional | 12, 14, 15, 16, 32, 35, 42, 90, 101, 102, 131, 132 |
rows | integer | Optional | Any |
page | integer | Optional | Any |
sort | string | Optional | Up to 100 characters |
keyword | string | Optional | Up to 200 characters |
area_id | integer | Optional | Any |
price_from | number | Optional | Any |
price_to | number | Optional | Any |
living_area_from | number | Optional | Any |
living_area_to | number | Optional | Any |
rooms | string | Optional | Up to 50 characters |
Example request
curl "https://api.perceptlayer.com/v1/willhaben/search" \
-H "X-API-Key: $API_KEY"